Debian Bug report logs - #594800
ITP: 0ad -- 3D real-time strategy (RTS) game of ancient warfare

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bertrand Marc <beberking@gmail.com>

Date: Sun, 29 Aug 2010 16:24:01 UTC

Owned by: Vincentc1208@gmail.com

Severity: wishlist

Merged with 628219

Fixed in version 0ad/0~r11339-1

Done: Vincent Cheng <Vincentc1208@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, beberking@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#594800; Package wnpp. (Sun, 29 Aug 2010 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
New Bug report received and forwarded. Copy sent to beberking@gmail.com, debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 29 Aug 2010 16:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: 0ad -- 3D real-time strategy (RTS) game of ancient warfare
Date: Sun, 29 Aug 2010 18:20:47 +0200
Package: wnpp
Severity: wishlist
Owner: Bertrand Marc <beberking@gmail.com>

* Package name    : 0ad
  Version         : alpha1~r07970
  Upstream Author : Wildfire Games
* URL             : http://wildfiregames.com/0ad/
* License         : GPL, LGPL, MIT
  Programming Lang: C++
  Description     : 3D real-time strategy (RTS) game of ancient warfare

 Historically-based war/economy game that allows players to relive or
 rewrite the history of Western civilizations, focusing on the years
 between 500 B.C. and 500 A.D. The project is highly ambitious, involving
 state-of-the-art 3D graphics, detailed artwork, sound, and a flexible and
 powerful custom-built game engine.

 This package would contain the main program.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bertrand Marc <beberking@gmail.com>:
Bug#594800; Package wnpp. (Sun, 29 Aug 2010 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dapal@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bertrand Marc <beberking@gmail.com>. (Sun, 29 Aug 2010 16:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 594800@bugs.debian.org (full text, mbox):

From: David Paleino <dapal@debian.org>
To: 594802@bugs.debian.org
Cc: Bertrand Marc <beberking@gmail.com>, 594800@bugs.debian.org
Subject: Re: Bug#594802: ITP: 0ad-data -- 3D real-time strategy (RTS) game of ancient warfare
Date: Sun, 29 Aug 2010 18:54:05 +0200
[Message part 1 (text/plain, inline)]
Hello Bertrand,

On Sun, 29 Aug 2010 18:27:39 +0200, Bertrand Marc wrote:

> Package: wnpp
> Severity: wishlist
> Owner: Bertrand Marc <beberking@gmail.com>
> 
> * Package name    : 0ad-data
>   Version         : alpha1~r07970
>   Upstream Author : Wildfire Games
> * URL             : http://wildfiregames.com/0ad/
> * License         : CC-BY-SA
>   Programming Lang:
>   Description     : 3D real-time strategy (RTS) game of ancient warfare
> 
>  Historically-based war/economy game that allows players to relive or
>  rewrite the history of Western civilizations, focusing on the years
>  between 500 B.C. and 500 A.D. The project is highly ambitious, involving
>  state-of-the-art 3D graphics, detailed artwork, sound, and a flexible and
>  powerful custom-built game engine.
> 
>  This package contains the data files.

Just one ITP suffices. We need one ITP for each source package, not binary. So,
if both 0ad and 0ad-data are built from the same source package, you might want
to merge the two bugs.

If this is the case, please send a mail to control@bugs.debian.org with the
following text:

merge 594800 594802
thanks


Kindly,
David

-- 
 . ''`.   Debian developer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://deb.li/dapal
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bertrand Marc <beberking@gmail.com>:
Bug#594800; Package wnpp. (Mon, 30 Aug 2010 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Bernhard R. Link" <brlink@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bertrand Marc <beberking@gmail.com>. (Mon, 30 Aug 2010 08:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 594800@bugs.debian.org (full text, mbox):

From: "Bernhard R. Link" <brlink@debian.org>
To: Bertrand Marc <beberking@gmail.com>, 594800@bugs.debian.org
Subject: Re: Bug#594800: ITP: 0ad -- 3D real-time strategy (RTS) game of ancient warfare
Date: Mon, 30 Aug 2010 10:12:39 +0200
* Bertrand Marc <beberking@gmail.com> [100829 18:42]:
> * Package name    : 0ad
>   Version         : alpha1~r07970

I'd suggest to make that 0~alpha1~r07970.

Assume There will be a 1.0 version some day, then

dpkg --compare-versions 'alpha1~r07970-1' '>>' '1.0-1' && echo true
true

so you'd need an epoch then

dpkg --compare-versions 'alpha1~r07970-1' '>>' '1:1.0-1' && echo true

which is usually quite annoying.

I guess that is way Policy 5.6.12 says:

"The upstream_version may contain [...] and should start with a digit."

	Bernhard R. Link




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bertrand Marc <beberking@gmail.com>:
Bug#594800; Package wnpp. (Mon, 30 Aug 2010 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Taylor <excors@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bertrand Marc <beberking@gmail.com>. (Mon, 30 Aug 2010 11:45:03 GMT) Full text and rfc822 format available.

Message #20 received at 594800@bugs.debian.org (full text, mbox):

From: Philip Taylor <excors@gmail.com>
To: 594800@bugs.debian.org
Subject: Re: Bug#594800: ITP: 0ad -- 3D real-time strategy (RTS) game of ancient warfare
Date: Mon, 30 Aug 2010 12:40:31 +0100
(I'm one of the developers of this game.)

In case it's relevant: there's already a Debian package at
<https://build.opensuse.org/package/files?package=0ad&project=games>
and <https://build.opensuse.org/package/files?package=0ad-data&project=games>.
That's certainly not ideal, though it gives me control so it can be
updated promptly (particularly with the relatively rapid changes in
these pre-release versions I don't want to announce a new release and
then have interested people download the old incompatible one for the
next few days). I'd prefer not to maintain packages myself, but I
don't have any experience of how to balance that with a desire for
quick updates (but I don't know whether that's a real problem). I'd be
interested in suggestions for how we could make things work better.

There's no guarantee the "alpha1" component of the name will increase
monotonically - probably better to put the SVN revision before it or
instead of it. (The game won't stop using SVN any time soon.) (We'll
probably switch to "1.0" when reaching a non-development release, well
over a year away.)

-- 
Philip Taylor
excors@gmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#594800; Package wnpp. (Tue, 31 Aug 2010 09:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 31 Aug 2010 09:51:06 GMT) Full text and rfc822 format available.

Message #25 received at 594800@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: 594800@bugs.debian.org, Philip Taylor <excors@gmail.com>
Subject: Bug#594800: ITP: 0ad -- 3D real-time strategy (RTS) game of, ancient warfare
Date: Tue, 31 Aug 2010 11:45:12 +0200
[Message part 1 (text/plain, inline)]
Hi Philip,

It is nice to see upstream involved in the distribution of the game. 
Thanks for the advice about the versionning, it is now 0~r07970~alpha1.

For the other part I am not sure to understand. I knew about your 
packages, but they are not officialy part of Debian. If you want to help 
maintain the upcoming official Debian package, you are welcome to join 
the Debian Game Team. But you have to know that Debian is not about a 
few days of delay, things are only supposed to move when they are 
ready... and users who want to be on the edge are welcome to use your 
packages.

Regards,
Bertrand






[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bertrand Marc <beberking@gmail.com>:
Bug#594800; Package wnpp. (Tue, 07 Sep 2010 13:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Taylor <excors@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bertrand Marc <beberking@gmail.com>. (Tue, 07 Sep 2010 13:45:06 GMT) Full text and rfc822 format available.

Message #30 received at 594800@bugs.debian.org (full text, mbox):

From: Philip Taylor <excors@gmail.com>
To: Bertrand Marc <beberking@gmail.com>
Cc: 594800@bugs.debian.org
Subject: Re: Bug#594800: ITP: 0ad -- 3D real-time strategy (RTS) game of, ancient warfare
Date: Tue, 7 Sep 2010 14:42:46 +0100
Hmm, I think my concerns are that I'd like there to be up-to-date
packages for Debian users who want to try the latest release, and I'd
like to avoid duplicating effort, and I'd like to do as little work
myself as possible (since I have no Debian experience as a developer
or user). Some of those goals may conflict :-)

Perhaps it'd be best if I let you sort out proper Debian packages,
then I (or someone else) could reuse those package scripts later for
more frequent less stable builds. It's probably only a pain if the
build process or dependencies change substantially, but hopefully
that'll be rare.

-- 
Philip Taylor
excors@gmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bertrand Marc <beberking@gmail.com>:
Bug#594800; Package wnpp. (Wed, 30 Mar 2011 22:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bertrand Marc <beberking@gmail.com>. (Wed, 30 Mar 2011 22:18:02 GMT) Full text and rfc822 format available.

Message #35 received at 594800@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 594800@bugs.debian.org, Bertrand Marc <beberking@gmail.com>
Subject: Re: Bug#594802: ITP: 0ad-data -- 3D real-time strategy (RTS) game of ancient warfare
Date: Wed, 30 Mar 2011 15:16:58 -0700
[Message part 1 (text/plain, inline)]
Hi,

Are there any updates on this? I'm interested in seeing 0 A.D. in Debian's
repositories as well; would you like any help in packaging it?

Kind regards,
- Vincent Cheng
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#594800; Package wnpp. (Thu, 31 Mar 2011 14:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bertrand Marc <beberking@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 31 Mar 2011 14:21:09 GMT) Full text and rfc822 format available.

Message #40 received at 594800@bugs.debian.org (full text, mbox):

From: Bertrand Marc <beberking@gmail.com>
To: Vincent Cheng <vincentc1208@gmail.com>, 594800@bugs.debian.org
Subject: Re: Bug#594800: Bug#594802: ITP: 0ad-data -- 3D real-time strategy (RTS) game of ancient warfare
Date: Thu, 31 Mar 2011 16:16:28 +0200
[Message part 1 (text/plain, inline)]
2011/3/31 Vincent Cheng <vincentc1208@gmail.com>

> Hi,
>
> Are there any updates on this? I'm interested in seeing 0 A.D. in Debian's
> repositories as well; would you like any help in packaging it?
>
> Kind regards,
> - Vincent Cheng
>

Hi Vincent,

I did the initial packaging work a few months ago now [1]. I don't remember
very well. I think I had working packages, but there was some kind of hack
needed to configure properly (as I remember). There was also a couple of
libraries shipped with the archive, some of them were not part of Debian
last year.

You are welcome if you want to take over this ITP or work on the svn. I am
not sure I'll have plenty of time for 0ad this month.

Regards,
Bertrand

[1] http://svn.debian.org/wsvn/pkg-games/packages/trunk/0ad/
http://svn.debian.org/wsvn/pkg-games/packages/trunk/0ad-data/
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bertrand Marc <beberking@gmail.com>:
Bug#594800; Package wnpp. (Fri, 01 Apr 2011 03:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bertrand Marc <beberking@gmail.com>. (Fri, 01 Apr 2011 03:21:03 GMT) Full text and rfc822 format available.

Message #45 received at 594800@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 594800@bugs.debian.org, Bertrand Marc <beberking@gmail.com>
Subject: Re: Bug#594800: Bug#594802: ITP: 0ad-data -- 3D real-time strategy (RTS) game of ancient warfare
Date: Thu, 31 Mar 2011 20:19:02 -0700
[Message part 1 (text/plain, inline)]
On Thu, Mar 31, 2011 at 7:16 AM, Bertrand Marc <beberking@gmail.com> wrote:

> 2011/3/31 Vincent Cheng <vincentc1208@gmail.com>
>
>> Hi,
>>
>> Are there any updates on this? I'm interested in seeing 0 A.D. in Debian's
>> repositories as well; would you like any help in packaging it?
>>
>> Kind regards,
>> - Vincent Cheng
>>
>
> Hi Vincent,
>
> I did the initial packaging work a few months ago now [1]. I don't remember
> very well. I think I had working packages, but there was some kind of hack
> needed to configure properly (as I remember). There was also a couple of
> libraries shipped with the archive, some of them were not part of Debian
> last year.
>
> You are welcome if you want to take over this ITP or work on the svn. I am
> not sure I'll have plenty of time for 0ad this month.
>
> Regards,
> Bertrand
>
> [1] http://svn.debian.org/wsvn/pkg-games/packages/trunk/0ad/
> http://svn.debian.org/wsvn/pkg-games/packages/trunk/0ad-data/
>

I'd be glad to help you out with the packaging, although I admit I've had
very little experience with svn. Is there some sort of quick-start guide for
working with Debian's svn repositories?

Aside from that, I seem to be having quite a bit of trouble getting 0 A.D.
to build itself and run, as documented here [1].

- Vincent

[1] http://www.wildfiregames.com/forum/index.php?showtopic=14568
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Bertrand Marc <beberking@gmail.com>:
Bug#594800; Package wnpp. (Sun, 03 Apr 2011 04:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Bertrand Marc <beberking@gmail.com>. (Sun, 03 Apr 2011 04:09:03 GMT) Full text and rfc822 format available.

Message #50 received at 594800@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 594800@bugs.debian.org, Bertrand Marc <beberking@gmail.com>
Subject: Re: Bug#594800: Bug#594802: ITP: 0ad-data -- 3D real-time strategy (RTS) game of ancient warfare
Date: Sat, 2 Apr 2011 21:06:11 -0700
[Message part 1 (text/plain, inline)]
On Thu, Mar 31, 2011 at 8:19 PM, Vincent Cheng <vincentc1208@gmail.com>wrote:

> On Thu, Mar 31, 2011 at 7:16 AM, Bertrand Marc <beberking@gmail.com>wrote:
>
>> 2011/3/31 Vincent Cheng <vincentc1208@gmail.com>
>>
>>> Hi,
>>>
>>> Are there any updates on this? I'm interested in seeing 0 A.D. in
>>> Debian's repositories as well; would you like any help in packaging it?
>>>
>>> Kind regards,
>>> - Vincent Cheng
>>>
>>
>> Hi Vincent,
>>
>> I did the initial packaging work a few months ago now [1]. I don't
>> remember very well. I think I had working packages, but there was some kind
>> of hack needed to configure properly (as I remember). There was also a
>> couple of libraries shipped with the archive, some of them were not part of
>> Debian last year.
>>
>> You are welcome if you want to take over this ITP or work on the svn. I am
>> not sure I'll have plenty of time for 0ad this month.
>>
>> Regards,
>> Bertrand
>>
>> [1] http://svn.debian.org/wsvn/pkg-games/packages/trunk/0ad/
>> http://svn.debian.org/wsvn/pkg-games/packages/trunk/0ad-data/
>>
>
> I'd be glad to help you out with the packaging, although I admit I've had
> very little experience with svn. Is there some sort of quick-start guide for
> working with Debian's svn repositories?
>
> Aside from that, I seem to be having quite a bit of trouble getting 0 A.D.
> to build itself and run, as documented here [1].
>
> - Vincent
>
> [1] http://www.wildfiregames.com/forum/index.php?showtopic=14568
>

A working patch was provided on Wildfire Games' forums (and attached with
this e-mail); now 0ad can be successfully built and run. I'm going to upload
my packaging to Debian Mentors and see if anybody would like to sponsor this
package.

- Vincent
[Message part 2 (text/html, inline)]
[disable_aio.patch (text/x-patch, attachment)]

Owner changed from Bertrand Marc <beberking@gmail.com> to Vincentc1208@gmail.com. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Tue, 31 May 2011 07:42:16 GMT) Full text and rfc822 format available.

Merged 594800 628219. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Tue, 31 May 2011 07:42:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Sat, 13 Aug 2011 19:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Sat, 13 Aug 2011 19:27:09 GMT) Full text and rfc822 format available.

Message #59 received at 594800@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 594800@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: 0ad beta 6 packages
Date: Sat, 13 Aug 2011 21:22:21 +0200
[Message part 1 (text/plain, inline)]
Hi,

what is the state of the 0ad ITP?

The newest package on mentors is beta 4, it would be nice to get updated
packages there, even while they are made fit for the main archive.

Thanks,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Sat, 13 Aug 2011 20:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Sat, 13 Aug 2011 20:03:09 GMT) Full text and rfc822 format available.

Message #64 received at 594800@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 594800@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: 0ad beta 6 packages
Date: Sat, 13 Aug 2011 22:00:57 +0200
On Sat, Aug 13, 2011 at 9:22 PM, Joachim Breitner <nomeata@debian.org> wrote:

> what is the state of the 0ad ITP?
>
> The newest package on mentors is beta 4, it would be nice to get updated
> packages there, even while they are made fit for the main archive.

I don't think anything has changed since the RFS thread:

http://lists.debian.org/debian-mentors/2011/04/threads.html#00021

IIRC there were/are embedded library issues.

Probably it also needs an audit to see if it complies with DFSG item 2
along these guidelines:

http://www.freedesktop.org/wiki/Games/Upstream#Source

-- 
bye,
pabs

http://wiki.debian.org/PaulWise




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Sat, 13 Aug 2011 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Sat, 13 Aug 2011 21:00:03 GMT) Full text and rfc822 format available.

Message #69 received at 594800@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Paul Wise <pabs@debian.org>, Joachim Breitner <nomeata@debian.org>
Cc: 594800@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: 0ad beta 6 packages
Date: Sat, 13 Aug 2011 13:55:16 -0700
On Sat, Aug 13, 2011 at 1:00 PM, Paul Wise <pabs@debian.org> wrote:
> On Sat, Aug 13, 2011 at 9:22 PM, Joachim Breitner <nomeata@debian.org> wrote:
>
>> what is the state of the 0ad ITP?
>>
>> The newest package on mentors is beta 4, it would be nice to get updated
>> packages there, even while they are made fit for the main archive.
>
> I don't think anything has changed since the RFS thread:
>
> http://lists.debian.org/debian-mentors/2011/04/threads.html#00021
>

Alpha 6 (there haven't been any beta releases yet) is now compatible
with the version of enet in Debian sid (1.3), so that's one less thing
to worry about. But I'm not sure if it's ready for another RFS.

> IIRC there were/are embedded library issues.

Now that enet is taken care of, I believe the only remaining embedded
library is libmozjs/spidermonkey.

> Probably it also needs an audit to see if it complies with DFSG item 2
> along these guidelines:
>
> http://www.freedesktop.org/wiki/Games/Upstream#Source
>

I'll upload it to mentors.d.n later tonight or tomorrow if anyone
wants to take a second look at it.

- Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Sun, 14 Aug 2011 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Sun, 14 Aug 2011 07:15:03 GMT) Full text and rfc822 format available.

Message #74 received at 594800@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Joachim Breitner <nomeata@debian.org>
Cc: 594800@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: 0ad beta 6 packages
Date: Sun, 14 Aug 2011 00:11:15 -0700
> I'll upload it to mentors.d.n later tonight or tomorrow if anyone
> wants to take a second look at it.

Refreshed my 0ad package and uploaded it to mentors.d.n:

$ dget http://mentors.debian.net/debian/pool/main/0/0ad/0ad_0+r09786-1.dsc

I was about to upload my 0ad-data package as well, but for some reason
dput segfaulted halfway through, so for the moment I'll simply ask you
to download the data tarball directly from upstream:
http://releases.wildfiregames.com/0ad-r09786-alpha-unix-data.tar.xz

My actual packaging for 0ad-data (the stuff under debian/) can be fetched with:
$ svn co svn://svn.debian.org/svn/pkg-games/packages/trunk/0ad-data/

I'll try again and re-upload 0ad-data to mentors tomorrow; sorry for
the inconvenience!

0ad and 0ad-data are both pbuilder clean, and the game runs fine, but
they aren't lintian clean (I'll work on fixing this later), and as
previously mentionned, there are issues with embedded libraries and
whatnot, so it probably can't be uploaded to the Debian archive in its
current state.

- Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Sun, 14 Aug 2011 09:51:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Sun, 14 Aug 2011 09:51:23 GMT) Full text and rfc822 format available.

Message #79 received at 594800@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 594800@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: 0ad beta 6 packages
Date: Sun, 14 Aug 2011 11:46:12 +0200
On Sun, Aug 14, 2011 at 9:11 AM, Vincent Cheng wrote:
>> I'll upload it to mentors.d.n later tonight or tomorrow if anyone
>> wants to take a second look at it.
>
> Refreshed my 0ad package and uploaded it to mentors.d.n:
>
> $ dget http://mentors.debian.net/debian/pool/main/0/0ad/0ad_0+r09786-1.dsc

Didn't review that yet and I probably won't get to it until late
August since I will be travelling.

> but for some reason dput segfaulted halfway through

That sounds like a python bug. You might want to enable core dumps on
your system so that you can file bugs about random crashes.

> http://releases.wildfiregames.com/0ad-r09786-alpha-unix-data.tar.xz

The upstream tarball contains a pre-built copy of the DejaVu font,
please ask them to remove that. Likewise for the other font, that
should be packaged separately from 0ad using the upstream project. It
is perfectly acceptable for upstream to include pre-built fonts in
their binary installers/packages for platforms with broken/missing
repository/dependency systems but the source packages and VCS should
not include non-source forms and should not contain embedded copies of
other projects.

http://www.gust.org.pl/projects/e-foundry/tex-gyre/pagella

There doesn't appear be any suspicious metadata in the images.

A couple of the images are pre-rendered text. I wonder which font they
used and if it. IMO text should only be rendered at runtime since that
enables i18n and ensure that any fonts used on Debian systems are
DFSG-free.

IMO the small versions of the icons should be removed and the scaling
should happen either at runtime or buildtime. I think it would be nice
to convert the images to vector so that the UI can scale to any
resolution. The buttons dir contains only small versions, so I wonder
if there is some source code missing there.

There is a ZIP file in there too. It seems a bit rediculous to put a
compressed file inside the already compressed tarball and even more
rediculous to put such a file in a VCS (didn't look if it was there
too).

If I unpack the zip file I get a shitload of other stuff. I don't have
time to review the whole thing right now, but based on find | xargs
file there are some things that are not source code or not in
standard, modifiable formats, which is what the source package should
consist of.

The font stuff inside it weird. IMO this should be replaced by vector
fonts rendered at runtime. There are other images with pre-rendered
text that possibly was rendered using non-free fonts.

Also the ./public/art/LICENSE.txt file indicates that all the
materials from CGTextures are missing their source form.

I find it completely bizarre that they are using an Excel spreadsheet
to store techtree info. Does the game really require a Excel file
reading code??

Those xmb files look like binary versions of the corresponding xml
files. These should be generated at build time not stored in the
source tarball or VCS.

There are some weird binary formats. One of them contained a string:
"God Knows", perhaps that should be replaced with "God Knows WTF these
files are and how to modify them" ;)

I wonder about the DDS files. They can be opened in GIMP with gimp-dds
but their names seem to indicate that there are TGA files that are the
source form of them. IMO the DDS files should be created at
runtime/build time from their source TGA files, or the game should
simply switch to using the TGA files.

There are a bunch of pre-encoded Ogg files. I don't know what is the
source but Ogg definitely is not it. There should be some sort of
losslessly encoded audio or the project files for whatever DFSG-free
program generated these files.

There are two RAR files. RAR is a proprietary format that is not yet
uncompressible only using software in Debian main. There is a free
software decompressor implementation but it is not yet in Debian
(#619602) and I haven't been able to compile it yet. Please ask
upstream to not store these in the source package and not in the VCS
either.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Mon, 15 Aug 2011 06:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Mon, 15 Aug 2011 06:12:03 GMT) Full text and rfc822 format available.

Message #84 received at 594800@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Paul Wise <pabs@debian.org>
Cc: 594800@bugs.debian.org, debian-devel-games@lists.debian.org, Philip Taylor <excors@gmail.com>
Subject: Re: 0ad beta 6 packages
Date: Sun, 14 Aug 2011 23:08:45 -0700
On Sun, Aug 14, 2011 at 2:46 AM, Paul Wise <pabs@debian.org> wrote:
> On Sun, Aug 14, 2011 at 9:11 AM, Vincent Cheng wrote:
>>> I'll upload it to mentors.d.n later tonight or tomorrow if anyone
>>> wants to take a second look at it.
>>
>> Refreshed my 0ad package and uploaded it to mentors.d.n:
>>
>> $ dget http://mentors.debian.net/debian/pool/main/0/0ad/0ad_0+r09786-1.dsc
>
> Didn't review that yet and I probably won't get to it until late
> August since I will be travelling.
>
>> but for some reason dput segfaulted halfway through
>
> That sounds like a python bug. You might want to enable core dumps on
> your system so that you can file bugs about random crashes.
>
>> http://releases.wildfiregames.com/0ad-r09786-alpha-unix-data.tar.xz
>
> The upstream tarball contains a pre-built copy of the DejaVu font,
> please ask them to remove that. Likewise for the other font, that
> should be packaged separately from 0ad using the upstream project. It
> is perfectly acceptable for upstream to include pre-built fonts in
> their binary installers/packages for platforms with broken/missing
> repository/dependency systems but the source packages and VCS should
> not include non-source forms and should not contain embedded copies of
> other projects.
>
> http://www.gust.org.pl/projects/e-foundry/tex-gyre/pagella
>
> There doesn't appear be any suspicious metadata in the images.
>
> A couple of the images are pre-rendered text. I wonder which font they
> used and if it. IMO text should only be rendered at runtime since that
> enables i18n and ensure that any fonts used on Debian systems are
> DFSG-free.
>
> IMO the small versions of the icons should be removed and the scaling
> should happen either at runtime or buildtime. I think it would be nice
> to convert the images to vector so that the UI can scale to any
> resolution. The buttons dir contains only small versions, so I wonder
> if there is some source code missing there.
>
> There is a ZIP file in there too. It seems a bit rediculous to put a
> compressed file inside the already compressed tarball and even more
> rediculous to put such a file in a VCS (didn't look if it was there
> too).
>
> If I unpack the zip file I get a shitload of other stuff. I don't have
> time to review the whole thing right now, but based on find | xargs
> file there are some things that are not source code or not in
> standard, modifiable formats, which is what the source package should
> consist of.
>
> The font stuff inside it weird. IMO this should be replaced by vector
> fonts rendered at runtime. There are other images with pre-rendered
> text that possibly was rendered using non-free fonts.
>
> Also the ./public/art/LICENSE.txt file indicates that all the
> materials from CGTextures are missing their source form.
>
> I find it completely bizarre that they are using an Excel spreadsheet
> to store techtree info. Does the game really require a Excel file
> reading code??
>
> Those xmb files look like binary versions of the corresponding xml
> files. These should be generated at build time not stored in the
> source tarball or VCS.
>
> There are some weird binary formats. One of them contained a string:
> "God Knows", perhaps that should be replaced with "God Knows WTF these
> files are and how to modify them" ;)
>
> I wonder about the DDS files. They can be opened in GIMP with gimp-dds
> but their names seem to indicate that there are TGA files that are the
> source form of them. IMO the DDS files should be created at
> runtime/build time from their source TGA files, or the game should
> simply switch to using the TGA files.
>
> There are a bunch of pre-encoded Ogg files. I don't know what is the
> source but Ogg definitely is not it. There should be some sort of
> losslessly encoded audio or the project files for whatever DFSG-free
> program generated these files.
>
> There are two RAR files. RAR is a proprietary format that is not yet
> uncompressible only using software in Debian main. There is a free
> software decompressor implementation but it is not yet in Debian
> (#619602) and I haven't been able to compile it yet. Please ask
> upstream to not store these in the source package and not in the VCS
> either.
>
> --
> bye,
> pabs
>
> http://wiki.debian.org/PaulWise
>
>
> --
> To UNSUBSCRIBE, email to debian-devel-games-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/CAKTje6GS9p-XN8L4x5Rx7wiVz1zGfSgMQZBy3bU-roh3Zjvw8A@mail.gmail.com
>
>

Thanks for the review; cc'ing Philip so that he can take a look at
these issues and perhaps address them upstream. I believe the issues
with pre-rendered text were discussed previously in the discussion
following my first RFS posting, but most of these other issues you
bring up haven't been discussed yet and are definitely worth bringing
to upstream's attention.

- Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Mon, 15 Aug 2011 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Taylor <excors@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Mon, 15 Aug 2011 12:15:31 GMT) Full text and rfc822 format available.

Message #89 received at 594800@bugs.debian.org (full text, mbox):

From: Philip Taylor <excors@gmail.com>
To: 594800@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Re: 0ad beta 6 packages
Date: Mon, 15 Aug 2011 13:09:42 +0100
On Sun, Aug 14, 2011 at 10:46 AM, Paul Wise <pabs@debian.org> wrote:
> [...]

To possibly clarify, the current development process is:

1) Artists (by which I mean audio too) create art in various programs
and save in various formats, with proprietary source formats (.max
(3ds Max), .psd (Photoshop), .psp (Paint Shop Pro), whatever
presumably expensive systems musicians use, etc) and open source
(.blend (Blender), .wav (for sound effects), etc), or sometimes only
save in 'flattened' formats like .png (particularly if they're
modifying someone else's art and don't have whatever program the
original source format was for).

2) Sometimes they put those original source formats on some FTP site
or some separate SVN repository, but not in a reliable or organised
way, and sometimes they lose them entirely.

3) They export to standard formats (.dae for 3D models and animations,
.png for textures, .ogg for audio; some old content uses .dds for
textures and the game engine's custom binary model/animation formats
(.pmd/.psa)) and put those exported files in the main SVN repository.

4) Some files in SVN are generated by running some tools (also in SVN)
on other files in SVN, then manually committing the output when
necessary. (In particular, constructing the font textures - I don't
remember any others.)

5) The game executable can be run in a mode that collects all the data
files from an SVN checkout, does some processing and compression and
conversion into more efficient file formats (.dae -> custom binary
formats (.pmd/.psa), .xml -> custom binary format (.xmb), .png (or any
other texture) -> .dds), and sticks them all into a single .zip file.

(If the game is run without first processing the data files and
packing them into a zip, e.g. if you run it directly from an SVN
checkout, it will do the same processing work at runtime when it loads
each individual file, so it works transparently (except for delays of
tens of seconds while it converts the files) - the zip is merely an
optimistion.)

6) When creating 0ad-*-unix-data.tar.xz files for releases, we run the
executable to pack all of binaries/data/mods/public/ (from SVN) into
public.zip and only include public.zip in the release tarball.
'Building' the package from that tarball just involves copying files.

It sounds like you're asking for:

1b) Artists create art only in DFSG-free applications and save in the
original lossless editable formats and put those files in the main SVN
repository.

2b) There is a build script that can automatically convert all those
files into formats the engine can load (which probably involves
invoking Blender and Gimp and Audacity etc from the command line to
export from their formats).

3b) (Maybe we have some system that uploads the converted output into
SVN so developers can develop without the huge pain and slowness of
having to run all those conversions themselves.)

4b) We release a tarball with those original source files and the
build script, then the distro package scripts run the build script
(eventually producing a public.zip the game can load, like in the
current system).

I think the fundamental problem is that 1b is never going to happen -
we'd have to throw out all our art and half our artists and start
again with open source tools, since very little is currently done in
that way. Using the new process only for a portion of the art doesn't
seem useful - either it's necessary for all art, or else it's not
necessary and there's no point spending time setting up a new pipeline
for only some of it.

(I'm not claiming the current process is ideal - I believe we ought to
be much more organised about storing original source files for art,
and ought to converge on fewer applications for creating it, since
that would make development smoother, but that'll be a gradual change
if it happens at all, and doesn't seem relevant from a DFSG-compliance
perspective.)

Am I understanding this correctly? Is the problem fatal?

It would certainly be technically possible to change the process to
get rid of step 4 and to make step 6 build public.zip as part of the
distro package build script, using a new release tarball that has the
files directly from SVN (as opposed to the current one that only
contains the pregenerated public.zip), though it would introduce a
(slightly circular) build-time dependency on the game executable
package (which contains the code to generate the .zip) and I don't
know if the change would really solve any problems.

> There is a ZIP file in there too. It seems a bit rediculous to put a
> compressed file inside the already compressed tarball and even more
> rediculous to put such a file in a VCS (didn't look if it was there
> too).

Assuming you mean public.zip, it's an uncompressed zip file (to avoid
interfering with tarball compression). It's not in the VCS - it's
generated by step 6 above.

> Also the ./public/art/LICENSE.txt file indicates that all the
> materials from CGTextures are missing their source form.

For most of the textures we can't usefully distribute the original
source version since it's either lost or in a format like .psd; for
the ones using CGTextures materials we couldn't distribute them in any
case since CGTextures doesn't allow distribution of their work in
unmodified form (but we got explicit permission to distribute the
derived bitmap textures as CC-BY-SA).

> I find it completely bizarre that they are using an Excel spreadsheet
> to store techtree info. Does the game really require a Excel file
> reading code??

That file is just documentation. Not sure what it's doing in SVN there
- should delete it some time (probably when implementing techtrees and
verifying that it's obsolete).

> There are two RAR files.

Those aren't used and should be deleted some time (after verifying
they don't contain anything useful).

> Those xmb files look like binary versions of the corresponding xml
> files.

Yep, via step 6.

> There are some weird binary formats. One of them contained a string:
> "God Knows", perhaps that should be replaced with "God Knows WTF these
> files are and how to modify them" ;)

I think those would be the .pmd/.psa files, which are generated either
by step 6 or step 3 (exported directly to the custom binary formats).

> I wonder about the DDS files. They can be opened in GIMP with gimp-dds
> but their names seem to indicate that there are TGA files that are the
> source form of them.

Indeed, they're from step 6 (conversions of the texture files in SVN
that are .tga or .png or .dds).

> IMO the DDS files should be created at
> runtime/build time from their source TGA files, or the game should
> simply switch to using the TGA files.

We need mipmapping, which is only really supported by DDS. Also we
want S3TC compression (saves >75% video memory) which needs DDS.
Creating the compressed DDS at runtime can take a couple of seconds
per texture - we do that when running the game from an SVN checkout,
but that's not good for normal players. So we do do it at build time
(but in the build step before creating the tarball).

> There are a bunch of pre-encoded Ogg files. I don't know what is the
> source but Ogg definitely is not it.

I think most audio files we only have in .ogg format, but we're
gradually replacing them and trying to be more organised with storing
.wav versions of the replacements. But storing .wav in the main SVN
repository sounds non-ideal (the music alone will add a few hundred
megabytes to the download), so we're currently sticking them in a
separate parallel SVN repository and ought to find a better way to
handle them eventually.

-- 
Philip Taylor
excors@gmail.com




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Thu, 08 Dec 2011 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio <fabio.ped@libero.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Thu, 08 Dec 2011 13:15:05 GMT) Full text and rfc822 format available.

Message #94 received at 594800@bugs.debian.org (full text, mbox):

From: Fabio <fabio.ped@libero.it>
To: <594800@bugs.debian.org>
Subject: embedded libraries
Date: Thu, 8 Dec 2011 14:11:19 +0100 (CET)
> Now that enet is taken care of, I believe the only remaining
> embedded library is libmozjs/spidermonkey.

In current SVN (will be in 0ad alpha 8) there is support for building against 
libmozjs185 (tested on Ubuntu). Dunno however if it will works with Debian 
libmozjs.

0ad also provides a custom embedded copy of FCollada. There was some work on 
setting up a FCollada project, but it looks like it is abandoned now:
http://www.wildfiregames.com/forum/index.php?showtopic=14539
https://github.com/fcolladaCE/fcolladaCE

Then it is also using its patched version of premake4:
http://www.wildfiregames.com/forum/index.php?
showtopic=14173&st=100&p=226306&#entry226306

Lastly, also have a look at the Ubuntu packages available at:
https://launchpad.net/~wfg/+archive/0ad.dev




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Tue, 13 Dec 2011 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Tue, 13 Dec 2011 00:57:03 GMT) Full text and rfc822 format available.

Message #99 received at 594800@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Fabio <fabio.ped@libero.it>
Cc: 594800@bugs.debian.org
Subject: Re: Bug#594800: embedded libraries
Date: Mon, 12 Dec 2011 16:55:47 -0800
On Thu, Dec 8, 2011 at 5:11 AM, Fabio <fabio.ped@libero.it> wrote:
>> Now that enet is taken care of, I believe the only remaining
>> embedded library is libmozjs/spidermonkey.
>
> In current SVN (will be in 0ad alpha 8) there is support for building against
> libmozjs185 (tested on Ubuntu). Dunno however if it will works with Debian
> libmozjs.

Debian's libmozjs version is different from the standalone mozjs
source package currently available in Ubuntu. I'll ask and see if it
could possibly be backported to Debian; if not, do you know whether
0ad can currently build against a different version of mozjs?

> 0ad also provides a custom embedded copy of FCollada. There was some work on
> setting up a FCollada project, but it looks like it is abandoned now:
> http://www.wildfiregames.com/forum/index.php?showtopic=14539
> https://github.com/fcolladaCE/fcolladaCE
>
> Then it is also using its patched version of premake4:
> http://www.wildfiregames.com/forum/index.php?
> showtopic=14173&st=100&p=226306&#entry226306

I guess that means we'll be leaving fcollada and premake4 bundled
along with 0ad's source for now.

> Lastly, also have a look at the Ubuntu packages available at:
> https://launchpad.net/~wfg/+archive/0ad.dev

Ok, thanks!

Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Wed, 01 Feb 2012 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Hansen <tobias.hansen@physik.uni-hamburg.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Wed, 01 Feb 2012 16:09:03 GMT) Full text and rfc822 format available.

Message #104 received at 594800@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.hansen@physik.uni-hamburg.de>
To: Vincent Cheng <vincentc1208@gmail.com>, 594800@bugs.debian.org
Subject: Re: Re: Bug#594800: embedded libraries
Date: Wed, 01 Feb 2012 16:59:39 +0100
Vincent Cheng wrote:
> On Thu, Dec 8, 2011 at 5:11 AM, Fabio <fabio.ped@libero.it> wrote:
>   
>>> Now that enet is taken care of, I believe the only remaining
>>> embedded library is libmozjs/spidermonkey.
>>>       
>> In current SVN (will be in 0ad alpha 8) there is support for building against
>> libmozjs185 (tested on Ubuntu). Dunno however if it will works with Debian
>> libmozjs.
>>     
>
> Debian's libmozjs version is different from the standalone mozjs
> source package currently available in Ubuntu. I'll ask and see if it
> could possibly be backported to Debian; if not, do you know whether
> 0ad can currently build against a different version of mozjs?
>   

Hi,

just wanted to let you know that the libmozjs185 from Ubuntu is now also 
in Debian, because it was needed for gnome-shell.

Best regards,
Tobias




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Sun, 18 Mar 2012 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Sun, 18 Mar 2012 07:45:04 GMT) Full text and rfc822 format available.

Message #109 received at 594800@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: 594800@bugs.debian.org
Subject: Re: ITP: 0ad -- 3D real-time strategy (RTS) game of ancient warfare
Date: Sun, 18 Mar 2012 00:40:28 -0700
[Message part 1 (text/plain, inline)]
Just sending this bug report a ping so people don't think I've given
up on this package entirely. ;)

I've uploaded an updated package for r11339 (Alpha 9) to mentors.d.n
which is lintian + pbuilder clean, and also uses system libraries
instead of the embedded ones for enet and spidermonkey/libmozjs, but
there are some dpkg-shlibdeps warnings and the game doesn't run, so
it's still a work-in-progress.

http://mentors.debian.net/package/0ad
$ dget http://mentors.debian.net/debian/pool/main/0/0ad/0ad_0~r11339-1.dsc

Build log attached. Also, output of running 0ad from a terminal looks like this:

$ 0ad
/usr/games/pyrogenesis: error while loading shared libraries:
libnvtt.so: cannot open shared object file: No such file or directory

I think the next step would be to package nvtt [1], or somehow work
around the above errors; any help with either of these options would
be greatly appreciated.

Regards,
Vincent

[1] http://code.google.com/p/nvidia-texture-tools/
[0ad_0~r11339-1_amd64.build (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Tue, 27 Mar 2012 21:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Hansen <tobias.han@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Tue, 27 Mar 2012 21:00:05 GMT) Full text and rfc822 format available.

Message #114 received at 594800@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.han@gmx.de>
To: 594800@bugs.debian.org
Subject: Re: Re: ITP: 0ad -- 3D real-time strategy (RTS) game of ancient warfare
Date: Tue, 27 Mar 2012 23:00:20 +0200
Am -10.01.-28163 20:59, schrieb Vincent Cheng:
> Just sending this bug report a ping so people don't think I've given
> up on this package entirely. ;)
>
> I've uploaded an updated package for r11339 (Alpha 9) to mentors.d.n
> which is lintian + pbuilder clean, and also uses system libraries
> instead of the embedded ones for enet and spidermonkey/libmozjs, but
> there are some dpkg-shlibdeps warnings and the game doesn't run, so
> it's still a work-in-progress.
>
> http://mentors.debian.net/package/0ad
> $ dget http://mentors.debian.net/debian/pool/main/0/0ad/0ad_0~r11339-1.dsc
>
> Build log attached. Also, output of running 0ad from a terminal looks like this:
>
> $ 0ad
> /usr/games/pyrogenesis: error while loading shared libraries:
> libnvtt.so: cannot open shared object file: No such file or directory
>
> I think the next step would be to package nvtt [1], or somehow work
> around the above errors; any help with either of these options would
> be greatly appreciated.
>
> Regards,
> Vincent
>
> [1] http://code.google.com/p/nvidia-texture-tools/

nvtt will be uploaded to unstable for you in the next days. [1] And you
should CC the debian-devel-games list when asking for help or with news
about 0ad. This deserves more attention than the bug report gets.

Best regards,
Tobias

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=666010




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Fri, 30 Mar 2012 09:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio <fabio.ped@libero.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Fri, 30 Mar 2012 09:06:03 GMT) Full text and rfc822 format available.

Message #119 received at 594800@bugs.debian.org (full text, mbox):

From: Fabio <fabio.ped@libero.it>
To: 594800@bugs.debian.org
Cc: vincentc1208@gmail.com
Subject: Re: ITP: 0ad -- 3D real-time strategy (RTS) game of ancient warfare
Date: Fri, 30 Mar 2012 11:01:55 +0200 (CEST)
> $ 0ad
> /usr/games/pyrogenesis: error while loading shared libraries:
> libnvtt.so: cannot open shared object file: No such file or directory

If you don't compile with --with-system-nvtt it compiles with the built-in 
nvtt and then you should also install libnv*.so. I'd really suggest to look at 
the 0 A.D. packages at
https://launchpad.net/~wfg/+archive/0ad.dev
since they are well tested and they received many optimizations during past 
years. It would be even better to use these packages as the official Debian 
packages.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Tue, 03 Apr 2012 23:10:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lennart Weller <lhw@ring0.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 03 Apr 2012 23:10:36 GMT) Full text and rfc822 format available.


Message #124 received at 594800@bugs.debian.org (full text, mbox):

From: Lennart Weller <lhw@ring0.de>
To: 594800@bugs.debian.org
Date: Wed, 04 Apr 2012 01:08:56 +0200
The nvidia-texture-tools are now in debian unstable[1]. If you need any
help with creating the package for 0ad drop me a message and I will see
how I can be of assistance to you.

[1] http://packages.debian.org/source/sid/nvidia-texture-tools




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 08:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Thu, 05 Apr 2012 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio Pedretti <fabio.ped@libero.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Thu, 05 Apr 2012 11:06:07 GMT) Full text and rfc822 format available.

Message #131 received at 594800@bugs.debian.org (full text, mbox):

From: Fabio Pedretti <fabio.ped@libero.it>
To: <594800@bugs.debian.org>
Subject: 0ad: Unused dependencies
Date: Thu, 5 Apr 2012 13:02:05 +0200 (CEST)
In the SVN there are some dependencies which are probably no longer needed: 
cmake (was used for nvtt), nasm and possibly others, look here for what's is 
needed currently:
http://trac.wildfiregames.com/wiki/BuildInstructions#Linux




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Fri, 06 Apr 2012 03:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Fri, 06 Apr 2012 03:27:03 GMT) Full text and rfc822 format available.

Message #136 received at 594800@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Fabio Pedretti <fabio.ped@libero.it>
Cc: 594800@bugs.debian.org
Subject: Re: Bug#594800: 0ad: Unused dependencies
Date: Thu, 5 Apr 2012 20:25:39 -0700
On Thu, Apr 5, 2012 at 4:02 AM, Fabio Pedretti <fabio.ped@libero.it> wrote:
> In the SVN there are some dependencies which are probably no longer needed:
> cmake (was used for nvtt), nasm and possibly others, look here for what's is
> needed currently:
> http://trac.wildfiregames.com/wiki/BuildInstructions#Linux
>
>

Thanks! I've removed cmake, libalut-dev, libdevil-dev, libglew1.5-dev,
libopenexr-dev, nasm, python, zip from 0ad's build-depends and can
confirm that it still builds properly in a pbuilder chroot. Are there
any other build dependencies that can still be removed?

Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Fri, 06 Apr 2012 07:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio Pedretti <fabio.ped@libero.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Fri, 06 Apr 2012 07:39:07 GMT) Full text and rfc822 format available.

Message #141 received at 594800@bugs.debian.org (full text, mbox):

From: Fabio Pedretti <fabio.ped@libero.it>
To: <vincentc1208@gmail.com>
Cc: <594800@bugs.debian.org>
Subject: R: Re: Bug#594800: 0ad: Unused dependencies
Date: Fri, 6 Apr 2012 09:29:31 +0200 (CEST)
>On Thu, Apr 5, 2012 at 4:02 AM, Fabio Pedretti <fabio.ped@libero.it> wrote:
>> In the SVN there are some dependencies which are probably no longer needed:
>> cmake (was used for nvtt), nasm and possibly others, look here for what's 
is
>> needed currently:
>> http://trac.wildfiregames.com/wiki/BuildInstructions#Linux
>>
>>
>
>Thanks! I've removed cmake, libalut-dev, libdevil-dev, libglew1.5-dev,
>libopenexr-dev, nasm, python, zip from 0ad's build-depends and can
>confirm that it still builds properly in a pbuilder chroot. Are there
>any other build dependencies that can still be removed?

I suppose you could change:
libpng12-dev
libjpeg8-dev
libsdl1.2-dev
to:
libpng-dev
libjpeg-dev
libsdl-dev

See for example:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=662353
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=634277




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Fri, 06 Apr 2012 07:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio Pedretti <fabio.ped@libero.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Fri, 06 Apr 2012 07:39:09 GMT) Full text and rfc822 format available.

Message #146 received at 594800@bugs.debian.org (full text, mbox):

From: Fabio Pedretti <fabio.ped@libero.it>
To: <fabio.ped@libero.it>, <vincentc1208@gmail.com>
Cc: <594800@bugs.debian.org>
Subject: R: Re: Bug#594800: 0ad: Unused dependencies
Date: Fri, 6 Apr 2012 09:33:29 +0200 (CEST)
>>On Thu, Apr 5, 2012 at 4:02 AM, Fabio Pedretti <fabio.ped@libero.it> wrote:
>>> In the SVN there are some dependencies which are probably no longer 
needed:
>>> cmake (was used for nvtt), nasm and possibly others, look here for what's 
>is
>>> needed currently:
>>> http://trac.wildfiregames.com/wiki/BuildInstructions#Linux
>>>
>>>
>>
>>Thanks! I've removed cmake, libalut-dev, libdevil-dev, libglew1.5-dev,
>>libopenexr-dev, nasm, python, zip from 0ad's build-depends and can
>>confirm that it still builds properly in a pbuilder chroot. Are there
>>any other build dependencies that can still be removed?
>
>I suppose you could change:
>libpng12-dev
>libjpeg8-dev
>libsdl1.2-dev
>to:
>libpng-dev
>libjpeg-dev
>libsdl-dev
>
>See for example:
>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=662353
>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=634277

Also:
libcurl4-gnutls-dev
to:
libcurl4-gnutls-dev | libcurl4-openssl-dev





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincentc1208@gmail.com:
Bug#594800; Package wnpp. (Fri, 06 Apr 2012 07:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabio Pedretti <fabio.ped@libero.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincentc1208@gmail.com. (Fri, 06 Apr 2012 07:45:03 GMT) Full text and rfc822 format available.

Message #151 received at 594800@bugs.debian.org (full text, mbox):

From: Fabio Pedretti <fabio.ped@libero.it>
To: <vincentc1208@gmail.com>
Cc: <594800@bugs.debian.org>
Subject: R: Re: Bug#594800: 0ad: Unused dependencies
Date: Fri, 6 Apr 2012 09:42:26 +0200 (CEST)

>----Messaggio originale----
>Da: fabio.ped@libero.it
>Data: 06/04/2012 9.33
>A: <fabio.ped@libero.it>, <vincentc1208@gmail.com>
>Cc: <594800@bugs.debian.org>
>Ogg: R: Re: Bug#594800: 0ad: Unused dependencies
>
>>>On Thu, Apr 5, 2012 at 4:02 AM, Fabio Pedretti <fabio.ped@libero.it> wrote:
>>>> In the SVN there are some dependencies which are probably no longer 
>needed:
>>>> cmake (was used for nvtt), nasm and possibly others, look here for 
what's 
>>is
>>>> needed currently:
>>>> http://trac.wildfiregames.com/wiki/BuildInstructions#Linux
>>>>
>>>>
>>>
>>>Thanks! I've removed cmake, libalut-dev, libdevil-dev, libglew1.5-dev,
>>>libopenexr-dev, nasm, python, zip from 0ad's build-depends and can
>>>confirm that it still builds properly in a pbuilder chroot. Are there
>>>any other build dependencies that can still be removed?
>>
>>I suppose you could change:
>>libpng12-dev
>>libjpeg8-dev
>>libsdl1.2-dev
>>to:
>>libpng-dev
>>libjpeg-dev
>>libsdl-dev
>>
>>See for example:
>>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=662353
>>http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=634277
>
>Also:
>libcurl4-gnutls-dev
>to:
>libcurl4-gnutls-dev | libcurl4-openssl-dev

Well, probably this is not true since openssl is not GPL compatible and the 
resulting can't be distributed.






Reply sent to Vincent Cheng <Vincentc1208@gmail.com>:
You have taken responsibility. (Mon, 09 Apr 2012 10:03:07 GMT) Full text and rfc822 format available.

Notification sent to Bertrand Marc <beberking@gmail.com>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 10:03:13 GMT) Full text and rfc822 format available.

Message #156 received at 594800-close@bugs.debian.org (full text, mbox):

From: Vincent Cheng <Vincentc1208@gmail.com>
To: 594800-close@bugs.debian.org
Subject: Bug#594800: fixed in 0ad 0~r11339-1
Date: Mon, 09 Apr 2012 10:02:24 +0000
Source: 0ad
Source-Version: 0~r11339-1

We believe that the bug you reported is fixed in the latest version of
0ad, which is due to be installed in the Debian FTP archive:

0ad-dbg_0~r11339-1_amd64.deb
  to main/0/0ad/0ad-dbg_0~r11339-1_amd64.deb
0ad_0~r11339-1.debian.tar.gz
  to main/0/0ad/0ad_0~r11339-1.debian.tar.gz
0ad_0~r11339-1.dsc
  to main/0/0ad/0ad_0~r11339-1.dsc
0ad_0~r11339-1_amd64.deb
  to main/0/0ad/0ad_0~r11339-1_amd64.deb
0ad_0~r11339.orig.tar.xz
  to main/0/0ad/0ad_0~r11339.orig.tar.xz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594800@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Cheng <Vincentc1208@gmail.com> (supplier of updated 0ad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 29 Mar 2012 16:13:33 -0700
Source: 0ad
Binary: 0ad 0ad-dbg
Architecture: source amd64
Version: 0~r11339-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Vincent Cheng <Vincentc1208@gmail.com>
Description: 
 0ad        - Real-time strategy game of ancient warfare
 0ad-dbg    - Real-time strategy game of ancient warfare (debug)
Closes: 594800
Changes: 
 0ad (0~r11339-1) unstable; urgency=low
 .
   * Initial release (Closes: #594800)
Checksums-Sha1: 
 a5540e9425f0edcbf7f724e1623ad3f7b7fe8084 1593 0ad_0~r11339-1.dsc
 e44f8484ca7082b1a9f2761a48aa8f54c8e833d1 8593664 0ad_0~r11339.orig.tar.xz
 62c15b258487de9e401e9b057ed459a79d81895a 13515 0ad_0~r11339-1.debian.tar.gz
 c25ab23e484381abee1e674a6e04cfbb8eb66131 2298580 0ad_0~r11339-1_amd64.deb
 6434d8365c629a49b825cd17f18f8daaabc210a2 39293512 0ad-dbg_0~r11339-1_amd64.deb
Checksums-Sha256: 
 13cc001ea29b08824d35b69564f38811153117d486f13521431c437cb6d3412f 1593 0ad_0~r11339-1.dsc
 1e69bc02c1af1bfbe30244467761d13e1aaff164fe583d962cc8e13faf4a56cb 8593664 0ad_0~r11339.orig.tar.xz
 4ef52bb3ab0d0e518cfdcb9df093f34375d77924994b2b87eca5032bcf1907bc 13515 0ad_0~r11339-1.debian.tar.gz
 b7e7e099fe368507f111188fe62e75dc6cf3147afb608ab829aa7567923c1cd9 2298580 0ad_0~r11339-1_amd64.deb
 18d4fd2f2ed59462b72f8088db8e6f79b2cd90c4e496df16c1c983605553939b 39293512 0ad-dbg_0~r11339-1_amd64.deb
Files: 
 fcb05e46de0c9f9fbebd90ef7f9e5b59 1593 games optional 0ad_0~r11339-1.dsc
 6db1e62215654269516f5eb1eec371f1 8593664 games optional 0ad_0~r11339.orig.tar.xz
 2548861a42aba1528ddf2525526698b8 13515 games optional 0ad_0~r11339-1.debian.tar.gz
 8f9089c1cb639aa925fe8c965eaf547d 2298580 games optional 0ad_0~r11339-1_amd64.deb
 b0964c54962f1c5b8057659359b06596 39293512 debug extra 0ad-dbg_0~r11339-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+AE68ACgkQ9ijrk0dDIGziugCgr9eOLtLKjuthkOQkGyveNY7c
hUMAoJb01SpIvHLV7JEwSnZ5Flqmzm2s
=Sc5D
-----END PGP SIGNATURE-----





Reply sent to Vincent Cheng <Vincentc1208@gmail.com>:
You have taken responsibility. (Mon, 09 Apr 2012 10:03:18 GMT) Full text and rfc822 format available.

Notification sent to ygmarchi <carlo.marchiori@gmail.com>:
Bug acknowledged by developer. (Mon, 09 Apr 2012 10:03:29 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 May 2012 07:32:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:01:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.